[PATCH] t/t5800-remote-testpy: skip all tests if not built

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



416fda6 (build: do not install git-remote-testpy, 2013-05-24) added
git-remote-testpy to NO_INSTALL, with the intent of excluding it from
the default install.  This is typically meant for scripts in contrib/
with their own testsuite and Makefile (e.g. git remote-bzr, git
remote-hg).  Unfortunately, git-remote-testpy.py is a toplevel script
without its own Makefile; its testsuite is located in
t/t5800-remote-testpy.sh.

What this means is that git-remote-testpy is not built by default (when
'make' is invoked), but t5800 runs by default (like every other test in
t/).  As a result, a new contributor cloning git.git and running 'make
test' for the first time will notice test failures.  Fix this
unpleasantness by patching t5800 to check for git-remote-testpy as a
prerequisite.

Signed-off-by: Ramkumar Ramachandra <artagnon@xxxxxxxxx>
---
 Candidate for maint?

 t/t5800-remote-testpy.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/t/t5800-remote-testpy.sh b/t/t5800-remote-testpy.sh
index 1e683d4..9df35b5 100755
--- a/t/t5800-remote-testpy.sh
+++ b/t/t5800-remote-testpy.sh
@@ -12,6 +12,11 @@ if ! test_have_prereq PYTHON ; then
 	test_done
 fi
 
+if ! test -e "$GIT_BUILD_DIR/git-remote-testpy"; then
+	skip_all='skipping python remote-helper tests, git-remote-testpy not built'
+	test_done
+fi
+
 "$PYTHON_PATH" -c '
 import sys
 if sys.hexversion < 0x02040000:
-- 
1.8.3.1.379.g1f0e7d7

--
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html




[Index of Archives]     [Linux Kernel Development]     [Gcc Help]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [V4L]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]     [Fedora Users]